Bug 1024885 - Review Request: python-openstackclient - OpenStack Command-line Client
Review Request: python-openstackclient - OpenStack Command-line Client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kashyap Chamarthy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022720
  Show dependency treegraph
 
Reported: 2013-10-30 10:42 EDT by Jakub Ruzicka
Modified: 2014-03-21 05:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-openstackclient-0.3.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-21 05:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kchamart: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
WIP %check (2.83 KB, text/x-rpm-spec)
2013-11-04 09:25 EST, Jakub Ruzicka
no flags Details

  None (edit)
Description Jakub Ruzicka 2013-10-30 10:42:09 EDT
Spec URL: http://jruzicka.fedorapeople.org/pkgs/python-openstackclient/python-openstackclient.spec
SRPM URL: http://jruzicka.fedorapeople.org/pkgs/python-openstackclient/python-openstackclient-0.2.2-1.fc19.src.rpm
Description: python-openstackclient is a unified command-line client for the OpenStack APIs. It is a thin wrapper to the stock python-*client modules that implement the actual REST API client actions.
Fedora Account System Username: jruzicka
Comment 1 Kashyap Chamarthy 2013-10-31 06:42:02 EDT
[Manual review upcoming, fedora-review tool status here]

Review tool:
------------

$ fedora-review -m fedora-rawhide-x86_64  \
>  --rpm-spec -n python-openstackclient-0.2.2-1.fc19.src.rpm
INFO: Processing local files: python-openstackclient-0.2.2-1.fc19.src.rpm
INFO: Getting .spec and .srpm Urls from : Local files in /home/kashyap/rpmbuild/SRPMS
INFO:   --> SRPM url: file:///home/kashyap/rpmbuild/SRPMS/python-openstackclient-0.2.2-1.fc19.src.rpm
INFO: Using review directory: /home/kashyap/rpmbuild/SRPMS/python-openstackclient
INFO: Downloading (Source0): http://pypi.python.org/packages/source/p/python-openstackclient/python-openstackclient-0.2.2.tar.gz
INFO: Running checks and generating report
ERROR: Exception(/home/kashyap/rpmbuild/SRPMS/python-openstackclient-0.2.2-1.fc19.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 11 seconds
INFO: Results and/or logs in: /home/kashyap/rpmbuild/SRPMS/python-openstackclient/results
ERROR: Command failed. See logs for output.
ERROR: 'mock build failed, see /home/kashyap/rpmbuild/SRPMS/python-openstackclient/results/build.log'


And, this is what build.log says:
---------------------------------

$ less /home/kashyap/rpmbuild/SRPMS/python-openstackclient/results/build.log
[...]
running install_scripts
+ rm -fr /builddir/build/BUILDROOT/python-openstackclient-0.2.2-1.fc20.x86_64/usr/lib/python2.7/site-packages/openstackclient/tests
++ pwd
+ export PYTHONPATH=/builddir/build/BUILD/python-openstackclient-0.2.2:
+ PYTHONPATH=/builddir/build/BUILD/python-openstackclient-0.2.2:
+ sphinx-build -b html doc/source html
Making output directory...
Running Sphinx v1.1.3
Exception occurred:
  File "/usr/lib/python2.7/site-packages/pbr/packaging.py", line 524, in get_version
    raise Exception("Versioning for this project requires either an sdist"
Exception: Versioning for this project requires either an sdist tarball, or access to an upstream git repository.
The full traceback has been saved in /tmp/sphinx-err-Em5lEB.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
Either send bugs to the mailing list at <http://groups.google.com/group/sphinx-dev/>,
or report them in the tracker at <http://bitbucket.org/birkenfeld/sphinx/issues/>. Thanks!
error: Bad exit status from /var/tmp/rpm-tmp.6WTgXu (%install)
    Bad exit status from /var/tmp/rpm-tmp.6WTgXu (%install)
RPM build errors:
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/python-openstackclient.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 361, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/python-openstackclient.spec']
LEAVE do --> EXCEPTION RAISED
Comment 2 Kashyap Chamarthy 2013-10-31 07:08:39 EDT
Successful koji scratch build result:
-------------------------------------

$ koji build --scratch rawhide python-openstackclient-0.2.2-1.fc19.src.rpm
Uploading srpm: python-openstackclient-0.2.2-1.fc19.src.rpm
[====================================] 100% 00:00:06 138.70 KiB  20.33 KiB/sec
Created task: 6118963
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6118963
Watching tasks (this may be safely interrupted)...
6118963 build (rawhide, python-openstackclient-0.2.2-1.fc19.src.rpm): open (buildvm-13.phx2.fedoraproject.org)
  6118966 buildArch (python-openstackclient-0.2.2-1.fc19.src.rpm, noarch): open (arm02-builder08.arm.fedoraproject.org)
  6118966 buildArch (python-openstackclient-0.2.2-1.fc19.src.rpm, noarch): open (arm02-builder08.arm.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
6118963 build (rawhide, python-openstackclient-0.2.2-1.fc19.src.rpm): open (buildvm-13.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

6118963 build (rawhide, python-openstackclient-0.2.2-1.fc19.src.rpm) completed successfully
Comment 3 Jakub Ruzicka 2013-10-31 08:34:54 EDT
I have no problem with

fedora-review -m fedora-rawhide-x86_64 -b 1024885

And I can also "manually" build using mock with fedora-19, fedora-20 and fedora-rawhide roots. Any ideas what might be wrong?
Comment 4 Kashyap Chamarthy 2013-10-31 09:10:07 EDT
Right,  I can only reproduce the above problem on my laptop. I re-ran the fedora-review tool on a different machine (F20), it goes through fine:

For now, posting the automated review below. Will do the manual review on the v2 you're about to post with %check (and any other updates you may have).

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     4 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/1024885-python-
     openstackclient/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     openstackclient-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-openstackclient-0.2.2-1.fc20.noarch.rpm
          python-openstackclient-doc-0.2.2-1.fc20.noarch.rpm
          python-openstackclient-0.2.2-1.fc20.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-openstackclient python-openstackclient-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-openstackclient (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-cinderclient
    python-cliff
    python-crypto
    python-glanceclient
    python-keyring
    python-keystoneclient
    python-novaclient
    python-pbr

python-openstackclient-doc (rpmlib, GLIBC filtered):



Provides
--------
python-openstackclient:
    python-openstackclient

python-openstackclient-doc:
    python-openstackclient-doc



Source checksums
----------------
http://pypi.python.org/packages/source/p/python-openstackclient/python-openstackclient-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : a1933ca4296317ab7151eb73aee27e02c6ba8578a826db0cad49584a64012980
  CHECKSUM(SHA256) upstream package : a1933ca4296317ab7151eb73aee27e02c6ba8578a826db0cad49584a64012980


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1024885
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 5 Matthias Runge 2013-10-31 09:51:26 EDT
Kashyap, you're supposed to complete the form on your own for all the empty spaces [ ]. But I agree, you should defer that, until Jakub included %check as well.

If you're doing a review, please assign this ticket to you and also set the fedora-review-flag to ?
Comment 6 Kashyap Chamarthy 2013-10-31 12:43:14 EDT
Sure Matthias - I just waited to the assign/flip review flags as I didn't how soon Jakub wanted it (and Monday/Tuesday are a holiday for me). Anyhow, I just did it, as I'll finish this review completely.
Comment 7 Jakub Ruzicka 2013-11-01 15:34:34 EDT
I tried to add %check but I didn't get past tox version conflict. 1.4.1 is available in Fedora but 1.6 is required. Also, some requires from test-requirements.txt aren't available but the seem to not be used anywhere.

I can add %check when required tox version is available.
Comment 8 Matthias Runge 2013-11-04 07:33:56 EST
Actually, it is available:
http://koji.fedoraproject.org/koji/packageinfo?packageID=14887

(for fedora 21 aka rawhide). Stable policy forbids to upgrade the version for f20 and older.

Since it's required the package builds on rawhide, you can add the check and skip it for later versions ;-)
Comment 9 Jakub Ruzicka 2013-11-04 09:25:54 EST
Created attachment 819183 [details]
WIP %check

With rawhide tox 1.6.1 I get only a little further:

+ ./run_tests.sh                                                                
py27 create: /builddir/build/BUILD/python-openstackclient-0.2.2/.tox/py27       
py27 installdeps: -r/builddir/build/BUILD/python-openstackclient-0.2.2/requirements.txt, -r/builddir/build/BUILD/python-openstackclient-0.2.2/test-requirements.txt
py27 develop-inst: /builddir/build/BUILD/python-openstackclient-0.2.2           
py27 runtests: commands[0] | python setup.py testr --testr-args=                
/usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'pbr'
  warnings.warn(msg)                                                            
usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]           
   or: setup.py --help [cmd1 cmd2 ...]                                          
   or: setup.py --help-commands                                                 
   or: setup.py cmd --help                                                      
error: invalid command 'testr'                                                  
ERROR: InvocationError: '/builddir/build/BUILD/python-openstackclient-0.2.2/.tox/py27/bin/python setup.py testr --testr-args='
___________________________________ summary ____________________________________
ERROR:   py27: commands failed                                                  
chyba: Špatný návratový kód z /var/tmp/rpm-tm
Comment 10 Matthias Runge 2013-11-05 02:35:09 EST
I think, your patch 0002 is somehow not doing, what's intended. Just skipping that, brings me (somehow) further.
Comment 11 Jakub Ruzicka 2013-11-07 10:43:37 EST
Indeed, I didn't update the patches here, but I removed 0002 as well to get the above behavior. However, no degree of pbr nuking (including none) led me to working %check.
Comment 12 Matthias Runge 2013-11-07 20:55:25 EST
Does the client work without pbr installed at runtime?
I thought, pbr is just for building the release, right?
Comment 13 Jakub Ruzicka 2013-11-08 10:56:25 EST
It doesn't work without pbr out of the box.

pbr stands for Python Build Reasonableness. Aside from not being resonable, it includes the versioning functionality which is used runtime. I believe this was to be moved to oslo.version but it haven't yet so I patch all the clients to provide version from .spec file to prevent runtime dep on pbr.

The dependency handling functionality is also unwanted because deps are (and should be) handled by package manager. That's why I remove {test,}requirements.txt and "setup_requires=['pbr']" from setup.py as well.
Comment 14 Jakub Ruzicka 2013-11-14 05:58:43 EST
Bump.

I wasn't able to get %check working, so can we have openstackclient without it? 

something > nothing
Comment 16 Kashyap Chamarthy 2013-11-15 11:20:07 EST
Manual review in progress, meanwhile a quick comment:

For the below MUST item, looking inside setup.py file 
 
     License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     4 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/1024885-python-
     openstackclient/licensecheck.txt


Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/python-openstackclient-0.2.2/doc/source/conf.py
  - [ This is generated by sphinx-quickstart]
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/python-openstackclient-0.2.2/run_tests.sh
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/python-openstackclient-0.2.2/setup.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/python-openstackclient-0.2.2/tools/with_venv.sh


But. . . looking inside setup.py file, it /does/ have ASL 2.0 lincense:

===
$ head -10 /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/python-openstackclient-0.2.2/setup.py
#!/usr/bin/env python
# Copyright (c) 2013 Hewlett-Packard Development Company, L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
===

Why would the review tool flag this as /not/ having an unknown license?

Is this a legal question?
Comment 17 Kashyap Chamarthy 2013-11-15 11:22:35 EST
Duh, incorrectly assigned the needinfo on self. Meant to be for anyone.

Also, in the previous line, read: 
  /not/ having an unknown license? => having an unknown license
Comment 18 Jakub Ruzicka 2013-11-15 12:30:13 EST
Not sure why the tool doesn't recognize it, but it looks like ASL 2.0 to me. I think it's OK.
Comment 19 Kashyap Chamarthy 2013-11-18 06:22:24 EST
TL;DR: 

(NOTE: with 1 & 2 below addressed, package approved.)

   1. In -doc package "Requires: %{name} = %{version}-%{release}" is missing. This would allow the -docs package without having the license file installed, which violates "License file installed when any subpackage combination is installed."

   2. In %install section, 

       %{__python} setup.py install -O1 --skip-build --root %{buildroot}

     should be

       %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
   
    Reference: http://fedoraproject.org/wiki/Packaging:Python#Macros -- "The unversioned macro, %{__python} is deprecated. You should use %{__python2} to explicitly reference the python2 interpreter instead. This is future proofing for the time when things will be switched over to python3 by default instead of python2."

    3. For the question in Comment #17, licensecheck tool provides some false positives. Licenses in this case are just fine.

    4. About %check, we agreed to proceed w/o having it for now, as test-requirements not being in Fedora. Conv. from IRC:

===
Nov 14 12:11:54 <jruzicka>   I think I spent reasonable amount of time getting it work and it doesnt. I think it's simply a matter of it (python-openstackclient) using bleeding edge packages that are not available in Fedora. Once they are, it's likely to already using newer version."
Nov 14 12:12:08 <jruzicka>      mrunge, so I see that as additional burden in future - package not building because of a new unavailable test req.
Nov 14 12:12:18 <jruzicka>      even though it's working just fine
Nov 14 12:12:23 <mrunge>        jruzicka, ok, agreed on that
===
 

Thanks mrunge for clarifications, please note here if I missed anything else.


Manual review:
~~~~~~~~~~~~~~

===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
      -  ASL 2.0
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     4 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/1024885-python-
     openstackclient/licensecheck.txt

      - licensecheck just generates some false positives, linceses in this case are okay.

[!]: License file installed when any subpackage combination is installed.

      - "Requires: %{name} = %{version}-%{release}"  is needed for -doc package.

===
$ file ./rpms-unpacked/python-openstackclient-0.2.2-1.fc20.noarch.rpm/usr/share/doc/python-openstackclient-0.2.2/LICENSE
./rpms-unpacked/python-openstackclient-0.2.2-1.fc20.noarch.rpm/usr/share/doc/python-openstackclient-0.2.2/LICENSE: ASCII text
===


[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x ]: A package which is used by another package via an egg interface should
     provide egg info.

egg-info for the package:
===
$ tree ./rpms-unpacked/python-openstackclient-0.2.2-1.fc20.noarch.rpm/usr/lib/python2.7/site-packages/python_openstackclient-0.2.2-py2.7.egg-info/
./rpms-unpacked/python-openstackclient-0.2.2-1.fc20.noarch.rpm/usr/lib/python2.7/site-packages/python_openstackclient-0.2.2-py2.7.egg-info/
├── dependency_links.txt
├── entry_points.txt
├── not-zip-safe
├── PKG-INFO
├── SOURCES.txt
└── top_level.txt
===

[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     openstackclient-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
      - This is a 'noarch' package.
[-]: %check is present and all tests pass.
      - From discussion on IRC: ACK for now for proceeding w/o having %check in palce as test-requirements not being in Fedora.
  
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
      - Koji scratch build is successful[*].
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[-]: Spec use %global instead of %define unless justified.


[*] Koji scratch build with new SRPM attached in Comment #15
--------------------------------------------------------------
$ koji build --scratch rawhide python-openstackclient-0.2.2-1.fc21.src.rpm 
Uploading srpm: python-openstackclient-0.2.2-1.fc21.src.rpm
[====================================] 100% 00:00:01 136.88 KiB  75.61 KiB/sec
Created task: 6192760
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6192760
Watching tasks (this may be safely interrupted)...
6192760 build (rawhide, python-openstackclient-0.2.2-1.fc21.src.rpm): open (arm02-builder18.arm.fedoraproject.org)
  6192762 buildArch (python-openstackclient-0.2.2-1.fc21.src.rpm, noarch): open (arm02-builder16.arm.fedoraproject.org)
  6192762 buildArch (python-openstackclient-0.2.2-1.fc21.src.rpm, noarch): open (arm02-builder16.arm.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
6192760 build (rawhide, python-openstackclient-0.2.2-1.fc21.src.rpm): open (arm02-builder18.arm.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

6192760 build (rawhide, python-openstackclient-0.2.2-1.fc21.src.rpm) completed successfully
Comment 21 Kashyap Chamarthy 2013-11-20 09:17:55 EST
New changes look good to me, approved.
Comment 22 Jakub Ruzicka 2013-11-20 09:37:57 EST
New Package SCM Request
=======================
Package Name: python-openstackclient
Short Description: OpenStack Command-line Client
Owners: jruzicka
Branches: f20 el6
InitialCC: pbrady apevec
Comment 23 Gwyn Ciesla 2013-11-20 11:26:37 EST
Git done (by process-git-requests).
Comment 24 Fedora Update System 2013-11-21 16:10:09 EST
python-openstackclient-0.2.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-openstackclient-0.2.2-2.fc20
Comment 25 Fedora Update System 2013-11-23 22:43:38 EST
python-openstackclient-0.2.2-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 26 Fedora Update System 2014-01-08 14:37:06 EST
python-openstackclient-0.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-openstackclient-0.3.0-1.fc20
Comment 27 Fedora Update System 2014-03-21 05:38:35 EDT
python-openstackclient-0.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.